#include <iostream>

using namespace std;

int main()
{
    string t,s;
    int i,a=0;
    cin >> t;
    cin >> s;
    if(s=="a")
    {
        for(i=0; i<t.length(); i++)
        {
            if(t.at(i)==s.at(0)) t.at(i)=42;
        }
    }
    else if(s=="ab")
    {
        int a=0,b=0,x;
        bool bul=false;
        for(i=0; i<t.length(); i++)
        {
            if(bul && t.at(i)=='b')
            {
                t.at(i-1)=42;
                a++;
                b=0;
                bul=false;
                i--;
            }
            else if(b!=0 && t.at(i)!='a' && t.at(i)!='b')
            {
                bul=false;
                b=0;        
            }
            else if(t.at(i)=='a')
            {
                if(bul==false) 
                {
                    x=i;
                    bul=true;
                }
                b++;
            }
        }
        if(bul && b==s.length())
        {
            t.at(i-1)=42;
            a++;
        }
        cout << a << "\n" << t;
    }
    else if(s=="abc")
    {

    }
    else
    {
        int b=0;
        bool bul=false;
        for(i=0; i<t.length(); i++)
        {
            if(bul && b==s.length())
            {
                t.at(i-1)=42;
                a++;
                b=0;
                bul=false;
                i--;
            }
            else if(b!=0 && t.at(i)!='a')
            {
                bul=false;
                b=0;        
            }
            else if(t.at(i)=='a')
            {
                if(bul==false) 
                {
                    bul=true;
                }
                b++;
            }
        }
        if(bul && b==s.length())
        {
            t.at(i-1)=42;
            a++;
        }
        
    }
    cout << a << "\n" << t;
}